OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESGraph

# IGESGraph_Protocol Class Reference

Description of Protocol for IGESGraph
.

`#include <IGESGraph_Protocol.hxx>`

Inheritance diagram for IGESGraph_Protocol:

[legend]

## Public Member Functions
Standard_EXPORT | IGESGraph_Protocol ()
virtual Standard_EXPORT Standard_Integer | NbResources () const
| Gives the count of Resource Protocol. Here, one (Protocol from IGESBasic) .
virtual Standard_EXPORT Handle_Interface_Protocol | Resource (const Standard_Integer num) const
| Returns a Resource, given a rank. .
virtual Standard_EXPORT Standard_Integer | TypeNumber (const Handle(Standard_Type)&atype) const
| Returns a Case Number, specific of each recognized Type This Case Number is then used in Libraries : the various Modules attached to this class of Protocol must use them in accordance (for a given value of TypeNumber, they must consider the same Type as the Protocol defines) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_Protocol::IGESGraph_Protocol | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESGraph_Protocol::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_Protocol.

virtual Standard_EXPORT Standard_Integer IGESGraph_Protocol::NbResources | ( |  | ) | const`[virtual]`

| Reimplemented from IGESData_Protocol.

virtual Standard_EXPORT Handle_Interface_Protocol IGESGraph_Protocol::Resource | ( | const Standard_Integer | num | ) | const`[virtual]`

| Reimplemented from IGESData_Protocol.

virtual Standard_EXPORT Standard_Integer IGESGraph_Protocol::TypeNumber | ( | const Handle(Standard_Type)& | atype | ) | const`[virtual]`

| Reimplemented from IGESData_Protocol.

The documentation for this class was generated from the following file:

- IGESGraph_Protocol.hxx